# It's extremely hard to package spock-core due to dependencies, so just including binaries here

%global _maven_metadata_dir /usr/share/maven-metadata

%global spock_rel groovy-2.0

Name:		spock-core
Version:	0.7
Release:	0.1_groovy_2.0%{?dist}
Summary:	Spock Framework - Core Module
License:	ASL 2.0
URL:		https://spockframework.org/
SOURCE0:	https://repo1.maven.org/maven2/org/spockframework/%{name}/%{version}-%{spock_rel}/%{name}-%{version}-%{spock_rel}.pom
SOURCE1:	https://repo1.maven.org/maven2/org/spockframework/%{name}/%{version}-%{spock_rel}/%{name}-%{version}-%{spock_rel}.jar
SOURCE2:	spock-core.xml
SOURCE3:	https://www.apache.org/licenses/LICENSE-2.0.txt

BuildArch:	noarch

BuildRequires:	java-11-openjdk-devel

Provides:	mvn(org.spockframework:spock-core) = %{version}
Provides:	mvn(org.spockframework:spock-core:pom:) = %{version}

Requires:	(java-headless or java-11-headless)
Requires:	javapackages-filesystem
Requires:	mvn(cglib:cglib-nodep)
Requires:	mvn(junit:junit)
Requires:	mvn(org.apache.ant:ant)
Requires:	mvn(org.codehaus.groovy:groovy-all)
Requires:	mvn(org.objenesis:objenesis)
Requires:	mvn(org.ow2.asm:asm)

%description
%{name} providescore module of the Spock Framework. Spock is a testing and specification framework for Java and Groovy
applications. What makes it stand out from the crowd is its beautiful and highly expressive specification language.
Thanks to its JUnit runner, Spock is compatible with most IDEs, build tools, and continuous integration servers.
Spock is inspired from JUnit, jMock, RSpec, Groovy, Scala, Vulcans, and other fascinating life forms.


%install
mkdir -p %{buildroot}%{_mavenpomdir}/%{name}
cp -p %{SOURCE0} %{buildroot}%{_mavenpomdir}/%{name}/%{name}.pom
mkdir -p %{buildroot}%{_javadir}/%{name}
cp -p %{SOURCE1} %{buildroot}%{_javadir}/%{name}/%{name}.jar
mkdir -p %{buildroot}%{_maven_metadata_dir}
cp -p %{SOURCE2} %{buildroot}%{_maven_metadata_dir}/%{name}.xml

cp %{SOURCE3} LICENSE

%files
%license LICENSE
%{_mavenpomdir}/%{name}/%{name}.pom
%{_javadir}/%{name}/%{name}.jar
%{_maven_metadata_dir}/%{name}.xml


%changelog
* Tue Mar 1 2022 Martin Perina <mperina@redhat.com> - 0.7-0.1_groovy_2.0
- Initial RPM release
- Just bundled JARs

